## Process this file with automake to produce Makefile.in

AM_CFLAGS = -ggdb -Wall -Werror

SMS_DATABASE_DIR = $(localstatedir)/lib/sms

INCLUDES = \
	-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
	-DGSMD2PLUGINDIR=\""$(libdir)/gsmd2"\" \
	-DSMS_DATABASE_DIR=\""$(SMS_DATABASE_DIR)\""

bin_PROGRAMS = gsmd2

BUILT_SOURCES = dbus_call_glue.h \
		dbus_sms_glue.h \
		dbus_device_glue.h \
		dbus_sim_glue.h \
		dbus_pdp_glue.h \
		dbus_network_glue.h \
		dbus_marshal.h \
		dbus_marshal.c

dbus_marshal.h: $(srcdir)/smartphone_marshaller.txt
	glib-genmarshal --prefix gsmd_smartphone_marshaller --header $(srcdir)/smartphone_marshaller.txt > dbus_marshal.h

dbus_marshal.c: $(srcdir)/smartphone_marshaller.txt
	glib-genmarshal --prefix gsmd_smartphone_marshaller --body $(srcdir)/smartphone_marshaller.txt > dbus_marshal.c


dbus_call_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.Call.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_call --mode=glib-server \
                   --output=dbus_call_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.Call.xml

dbus_sms_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.SMS.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_sms --mode=glib-server \
                   --output=dbus_sms_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.SMS.xml

dbus_device_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.Device.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_device --mode=glib-server \
                   --output=dbus_device_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.Device.xml

dbus_sim_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.SIM.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_sim --mode=glib-server \
                   --output=dbus_sim_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.SIM.xml

dbus_pdp_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.PDP.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_pdp --mode=glib-server \
                   --output=dbus_pdp_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.PDP.xml

dbus_network_glue.h: $(top_srcdir)/interface/org.freesmartphone.GSM.Network.xml
	$(LIBTOOL) --mode=execute dbus-binding-tool \
		   --prefix=smartphone_network --mode=glib-server \
                   --output=dbus_network_glue.h \
                   $(top_srcdir)/interface/org.freesmartphone.GSM.Network.xml

CLEANFILES = $(BUILT_SOURCES)

GSMD2_LIBS = $(GLIB_LIBS) $(DBUS_GLIB_LIBS) $(SMS_LIBS) $(INTLLIBS) -ldl
GSMD2_CFLAGS = $(GLIB_CFLAGS) $(DBUS_GLIB_CFLAGS) -DDBUS_API_SUBJECT_TO_CHANGE \
			$(SMS_CFLAGS) $(AM_CFLAGS)

gsmd2_LDADD = $(GSMD2_LIBS) libgsmd2.la
gsmd2_CFLAGS = $(GSMD2_CFLAGS)

gsmd2_SOURCES = main.c \
	dbus_call_object.c \
	dbus_call_object.h \
	dbus_sim_object.c \
	dbus_sim_object.h \
	dbus_sms_object.c \
	dbus_sms_object.h \
	dbus_network_object.c \
	dbus_network_object.h \
	dbus_pdp_object.c \
	dbus_pdp_object.h \
	dbus_device_object.c \
	dbus_device_object.h \
	dbus_objects.c \
	dbus_marshal.c

lib_LTLIBRARIES = libgsmd2.la

libgsmd2_la_LDFLAGS = $(GSMD2_LIBS)
libgsmd2_la_CFLAGS = $(GSMD2_CFLAGS)

libgsmd2_la_SOURCES = 	serial.c \
			serial.h \
			sms.c \
			sms_impl.c \
			sim.c \
			device.c \
			pdp.c \
			network.c \
			call.c \
			utils.c \
			utils.h \
			gsmd-error.c \
			modem.c \
			modem_internal.h

pkginclude_HEADERS = 	modem.h \
			gsmd-error.h \
			call_interface.h \
			sms_interface.h \
			sim_interface.h \
			network_interface.h \
			device_interface.h \
			pdp_interface.h

